Subject: bug#23587: 24.5; Emacs window clips to half its size in xmonad

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 May 2016 19:07:43 +0300

> From: Christian Gogolin <[email-masked]>
> Date: Fri, 20 May 2016 16:11:13 +0200
> 
> After starting Emacs in xmonad (v0.11, Debian testing package version
> 0.11.1-4) on some workspace with emacs -Q, switching to another work
> space, and then switching back to Emacs, the Emacs window becomes
> "cropped". It then still occupies the same space as a window in the
> window manager and the menu bar still extends to the full width of the
> window, but emacs only draws its "content" in the upper left quarter of
> the
> available space and all emacs windows are resized as if the whole
> window
> had been resized.
> 
> The problem is 100% reproducible and happens independently of the used
> xmonad layout and even in floating mode. Sometimes more than one switch
> to another work space is required to trigger the behavior. When the
> window size changes (by switching to a different layout for example)
> Emacs again draws in the whole available space.
> 
> The bug makes emacs very hard to use in my setup.
> 
> I am happy to provide additional details if you tell me what to do.

Can you try the latest pretest 25.0.94 of the upcoming Emacs 25.1?